/**
 * App Settings
 */
#body-settings .app-settings #app-navigation li[data-section-type="admin"][data-section-id="overview"] {
  display: none;
}

#body-settings .app-settings #app-navigation li[data-section-type="admin"][data-section-id="richdocuments"] {
  display: none;
}

#body-settings .app-settings #app-navigation li[data-section-type="admin"][data-section-id="onlyoffice"] {
  display: none;
}

#body-settings .app-settings #app-navigation li[data-section-type="admin"][data-section-id="workflow"] {
  display: none;
}

#body-settings .app-settings #app-navigation li[data-section-type="admin"][data-section-id="terms_of_service"] {
  display: none;
}

#body-settings .app-settings #app-navigation li[data-section-type="admin"][data-section-id="serverinfo"] {
  display: none;
}

#body-settings .app-settings #app-navigation li[data-section-type="admin"][data-section-id="external"] {
  display: none;
}

#body-settings .app-settings #app-navigation li[data-section-type="admin"][data-section-id="ai"] {
  display: none;
}

#body-settings #app-content[data-active-section-id=sharing] > #shareAPI {
  display: none;
}

#body-settings #app-content[data-active-section-id=sharing] > #shareAPI + div {
  display: none;
}

#body-settings #app-content[data-active-section-id=sharing] > #ocFederationSettings + div {
  display: none;
}

#body-settings #app-content[data-active-section-id="additional"] > :not(#quota-warning) {
  display: none;
}

#body-settings #app-content[data-active-section-id="server"] > :not(#profile-settings):not(#systemtags) {
  display: none;
}

#body-settings #app-content[data-active-section-id="theming"] > #theming-customcss {
  display: none;
}

#body-settings #app-content[data-active-section-id="security"][data-active-section-type="admin"] > div:nth-child(3), #body-settings #app-content[data-active-section-id="security"][data-active-section-type="admin"] > div:nth-child(2) {
  display: none;
}

#body-settings #app-content #registration_settings_form > :first-child > :nth-child(2) {
  display: none;
}
#body-settings #app-content #registration_settings_form > :first-child > :nth-child(3) {
  display: none;
}

#body-settings #app-content #registration_settings_form > div.settings-section:nth-child(2) > h2 + * {
  display: none;
}

#body-settings #app-content #registration_settings_form > div.settings-section:nth-child(2) > :last-child {
  display: none;
}

#body-settings #content.app-settings #theming > .advanced-options > div:first-child {
  display: none;
}

#body-settings #content.app-settings #theming > .advanced-options > div:nth-child(2) {
  display: none;
}


/**
 * User menu
 */
header#header > .header-right > #user-menu ul li#core_apps {
  display: none;
}
header#header > .header-right > #user-menu ul li#admin_settings {
  display: none;
}
header#header > .header-right > #user-menu ul li#help {
  display: none;
}

/**
 * Contact Menu
 */
#contactsmenu-contacts li.contact:has(.contact-body[href$="/u/framadmin"]) {
  display: none;
}

#contactsmenu-contacts .profile-link--avatar[href$="/u/framadmin"] ~ * {
  display: none;
}

/** TODO The above two rules are probably obsolete */
#contactsmenu-contacts li.contact:has(.contact__body[href$="/u/framadmin"]) {
  display: none;
}
/* The Framadmin entry in the Contacts app listing of system users */
#content-vue.app-contacts .contacts-list li#ZnJhbWFkbWlufnotc2VydmVyLWdlbmVyYXRlZC0tc3lzdG {
  display: none;
}


/**
 * Login page
 */
@media (min-width: 1024px) {
  #body-login {
    align-items: stretch;
  }

  #body-login .wrapper {
    width: 50%;
    max-width: initial;
  }
}

/**
 * Header bar
 */
#header {
  background: var(--color-background-plain);
}

#body-login #header {
  background: initial;
}

body:not(.onlyoffice-inline) > #content-vue {
  margin-top: 60px; /* 50px */
  height: calc(var(--body-height) - 10px); /* var(--body-height) */
}

/*
 * Hide framadmin user in the list of users
 */
body#body-settings .app-settings table.user-list tr.user-list__row[data-cy-user-row="framadmin"] {
  display: none;
}

/**
 * Improve headings in Terms of service modal
 */
#terms_of_service_content .text-content {
  margin-bottom: 1rem;
}

/**
 * Terms of service has no style for titles
 */
#terms_of_service_content .text-content h1 {
  font-size: 1.25rem;
  margin: 1rem auto;
}

/**
 * weather_status removes style for <li> elements
 */
#terms_of_service_content .text-content ul li {
  list-style-type: disc;
}

/**
 * Hide links to Maps and Recognize app in Photos for admins
 * https://framagit.org/framasoft/framaspace/asclepios/-/issues/26
 */
div.content.app-photos li[data-id-app-nav-item="faces"] {
  display: none;
}

div.content.app-photos li[data-id-app-nav-item="maps"] {
  display: none;
}

/**
 * Allow general Talk settings, disallow everything else
 */
#app-content[data-active-section-id="talk"][data-active-section-type="admin"] > div > :not(#general_settings, #allowed_groups) {
  display: none;
}

/**
 * Hide default first app admin setting (needs to write to config.php)
 */
#app-content[data-active-section-id="theming"][data-active-section-type="admin"] .settings-section:last-child {
  display: none;
}